Bug 1291378 - No suitable destination host found by cups-browsed.
No suitable destination host found by cups-browsed.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 12:57 EST by Jason Tibbitts
Modified: 2016-12-20 12:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:00:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2015-12-14 12:57:46 EST
I have a cups-based printing infrastructure that's been working mostly fine for quite some time; there are a couple hundred clients (mostly F22 and some Apple machines) and twenty or so printers.  Currently the server is an F22 machine (cups-2.0.3-1.fc22.x86_64) and it is the only machine to talk to the networked printers.  The clients get their printer lists via whatever magic cups uses to do that without configuration.

Recently I updated my main desktop to F23 and have started running into some issues with jobs simply not printing.  If I send a job. it will simply become stuck in the queue on the local machine; lpstat -t will show:

printer rm660 is idle.  enabled since Mon 14 Dec 2015 11:50:14 AM CST
        No suitable destination host found by cups-browsed.

If I restart cups-browsed and then immediately print the job again, it will print.  I can also "release" the job via the cups web interface.  (Haven't managed to figure out how to do that from the command line yet.)

If I wait a relatively small amount of time (about a minute, it seems) then I miss the window where I can send a job.

The client is running:
cups-2.1.2-1.fc23.x86_64
cups-client-2.1.2-1.fc23.x86_64
cups-libs-2.1.2-1.fc23.x86_64
cups-pk-helper-0.2.5-6.fc23.x86_64
cups-filesystem-2.1.2-1.fc23.noarch
cups-filters-1.2.0-1.fc23.x86_64

cups-browsed doesn't appear to have logged anything; at least the only journal entries I see are from systemctl restarting it.  cupsd does log some interesting things, though:

Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: [Client 1851] Returning IPP client-error-bad-request for CUPS-Add-Modify-Printer (ipp://localhost:631/printers/rm660) from localhost
Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: REQUEST localhost - root "POST /admin/ HTTP/1.1" 200 386 CUPS-Add-Modify-Printer client-error-bad-request
Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: REQUEST localhost - - "POST /admin/ HTTP/1.1" 401 121 Resume-Printer successful-ok
Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: REQUEST localhost - root "POST /admin/ HTTP/1.1" 200 121 Resume-Printer successful-ok
Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: REQUEST localhost - - "POST /admin/ HTTP/1.1" 401 392 CUPS-Add-Modify-Printer successful-ok
Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: [Client 1857] Returning IPP client-error-bad-request for CUPS-Add-Modify-Printer (ipp://localhost:631/printers/rm669) from localhost
Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: REQUEST localhost - root "POST /admin/ HTTP/1.1" 200 392 CUPS-Add-Modify-Printer client-error-bad-request
Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: REQUEST localhost - - "POST /admin/ HTTP/1.1" 401 121 Resume-Printer successful-ok
Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: REQUEST localhost - root "POST /admin/ HTTP/1.1" 200 121 Resume-Printer successful-ok
Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: REQUEST localhost - - "POST /admin/ HTTP/1.1" 401 387 CUPS-Add-Modify-Printer successful-ok
Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: [Client 1863] Returning IPP client-error-bad-request for CUPS-Add-Modify-Printer (ipp://localhost:631/printers/rm683) from localhost
Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: REQUEST localhost - root "POST /admin/ HTTP/1.1" 200 387 CUPS-Add-Modify-Printer client-error-bad-request
Dec 14 11:55:13 epithumia.math.uh.edu cupsd[9907]: REQUEST localhost - - "POST /admin/ HTTP/1.1" 401 389 CUPS-Add-Modify-Printer successful-ok

(repeated for each printer shared by the server)
Comment 1 Fedora Admin XMLRPC Client 2016-06-24 06:30:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2016-11-24 09:14:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 12:00:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.